<?php
/**
 * Clase Base Bean para BaseArArqueoDetalleProductoBN
 *
 * @package    Sedapal
 * @subpackage BaseArArqueoDetalleProductoBN
 * @author     Willy
 * @version    SVN:: BaseArArqueoDetalleProductoBN.class.php,v 1.1 2020-07-06 21:48:44 william.taype Exp $
 */
abstract class BaseArArqueoDetalleProductoBN
{
  protected $Idclase;
  protected $Idsucursal;
  protected $Idmercado;
  protected $Idcolaborador;
  protected $Fecha;
  protected $Idcliente;
  protected $Idprestamo;
  protected $Correlativo;
  protected $Nombrecliente;
  protected $Idtipoproducto;
  protected $Descripciontipoproducto;
  protected $Decripcionproducto;
  protected $Cantidad;
  protected $Preciounitario;
  protected $Subtotal;
  protected $Estado;
  protected $Idpagoreferencia;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Mensaje;
  protected $Error;

  public function getIdclase(){
    return $this->Idclase;
  }
  public function setIdclase($v1){
    $this->Idclase = $v1; 
  }

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getIdcliente(){
    return $this->Idcliente;
  }
  public function setIdcliente($v1){
    $this->Idcliente = $v1; 
  }

  public function getIdprestamo(){
    return $this->Idprestamo;
  }
  public function setIdprestamo($v1){
    $this->Idprestamo = $v1; 
  }

  public function getCorrelativo(){
    return $this->Correlativo;
  }
  public function setCorrelativo($v1){
    $this->Correlativo = $v1; 
  }

  public function getNombrecliente(){
    return $this->Nombrecliente;
  }
  public function setNombrecliente($v1){
    $this->Nombrecliente = $v1; 
  }

  public function getIdtipoproducto(){
    return $this->Idtipoproducto;
  }
  public function setIdtipoproducto($v1){
    $this->Idtipoproducto = $v1; 
  }

  public function getDescripciontipoproducto(){
    return $this->Descripciontipoproducto;
  }
  public function setDescripciontipoproducto($v1){
    $this->Descripciontipoproducto = $v1; 
  }

  public function getDecripcionproducto(){
    return $this->Decripcionproducto;
  }
  public function setDecripcionproducto($v1){
    $this->Decripcionproducto = $v1; 
  }

  public function getCantidad(){
    return $this->Cantidad;
  }
  public function setCantidad($v1){
    $this->Cantidad = $v1; 
  }

  public function getPreciounitario(){
    return $this->Preciounitario;
  }
  public function setPreciounitario($v1){
    $this->Preciounitario = $v1; 
  }

  public function getSubtotal(){
    return $this->Subtotal;
  }
  public function setSubtotal($v1){
    $this->Subtotal = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getIdpagoreferencia(){
    return $this->Idpagoreferencia;
  }
  public function setIdpagoreferencia($v1){
    $this->Idpagoreferencia = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_arqueo_detalle_productoBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_arqueo_detalle_productoRs )
  {
    $o_ArArqueoDetalleProductoBN = new ArArqueoDetalleProductoBN();
    $o_ArArqueoDetalleProductoBN->setIdclase( $o_Ar_arqueo_detalle_productoRs['idclase'] );
    $o_ArArqueoDetalleProductoBN->setIdsucursal( $o_Ar_arqueo_detalle_productoRs['idsucursal'] );
    $o_ArArqueoDetalleProductoBN->setIdmercado( $o_Ar_arqueo_detalle_productoRs['idmercado'] );
    $o_ArArqueoDetalleProductoBN->setIdcolaborador( $o_Ar_arqueo_detalle_productoRs['idcolaborador'] );
    $o_ArArqueoDetalleProductoBN->setFecha( $o_Ar_arqueo_detalle_productoRs['fecha'] );
    $o_ArArqueoDetalleProductoBN->setIdcliente( $o_Ar_arqueo_detalle_productoRs['idcliente'] );
    $o_ArArqueoDetalleProductoBN->setIdprestamo( $o_Ar_arqueo_detalle_productoRs['idprestamo'] );
    $o_ArArqueoDetalleProductoBN->setCorrelativo( $o_Ar_arqueo_detalle_productoRs['correlativo'] );
    $o_ArArqueoDetalleProductoBN->setNombrecliente( $o_Ar_arqueo_detalle_productoRs['nombrecliente'] );
    $o_ArArqueoDetalleProductoBN->setIdtipoproducto( $o_Ar_arqueo_detalle_productoRs['idtipoproducto'] );
    $o_ArArqueoDetalleProductoBN->setDescripciontipoproducto( $o_Ar_arqueo_detalle_productoRs['descripciontipoproducto'] );
    $o_ArArqueoDetalleProductoBN->setDecripcionproducto( $o_Ar_arqueo_detalle_productoRs['decripcionproducto'] );
    $o_ArArqueoDetalleProductoBN->setCantidad( $o_Ar_arqueo_detalle_productoRs['cantidad'] );
    $o_ArArqueoDetalleProductoBN->setPreciounitario( $o_Ar_arqueo_detalle_productoRs['preciounitario'] );
    $o_ArArqueoDetalleProductoBN->setSubtotal( $o_Ar_arqueo_detalle_productoRs['subtotal'] );
    $o_ArArqueoDetalleProductoBN->setEstado( $o_Ar_arqueo_detalle_productoRs['estado'] );
    $o_ArArqueoDetalleProductoBN->setIdpagoreferencia( $o_Ar_arqueo_detalle_productoRs['idpagoreferencia'] );
    $o_ArArqueoDetalleProductoBN->setFecharegistro( $o_Ar_arqueo_detalle_productoRs['fecharegistro'] );
    $o_ArArqueoDetalleProductoBN->setUsuarioregistro( $o_Ar_arqueo_detalle_productoRs['usuarioregistro'] );
    return $o_ArArqueoDetalleProductoBN;
  }
}